org.red5.server.jmx.mxbeans

## Interface ConnectionMXBean

    @MXBean
    public interface ConnectionMXBean

The connection object. Each connection has an associated client and scope. Connections may be persistent, polling, or transient. The aim of this interface is to provide basic connection methods shared between different types of connections Future subclasses: RTMPConnection, RemotingConnection, AJAXConnection, HttpConnection, etc

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`void` `close()`
`Iterator<CompositeData>` `getBasicScopes()`
`CompositeData` `getClient()`
`Map<String,Object>` `getConnectParams()`
`long` `getDroppedMessages()`
`String` `getHost()`
`int` `getLastPingTime()`
`String` `getPath()`
`long` `getPendingMessages()`
`long` `getReadBytes()`
`long` `getReadMessages()`
`String` `getRemoteAddress()`
`List<String>` `getRemoteAddresses()`
`int` `getRemotePort()`
`CompositeData` `getScope()`
`String` `getSessionId()`
`String` `getType()`
`long` `getWrittenBytes()`
`long` `getWrittenMessages()`
`boolean` `isConnected()`
`void` `ping()`

### Method Detail

#### getType

    String getType()

#### isConnected

    boolean isConnected()

#### close

    void close()

#### getConnectParams

    Map<String,Object> getConnectParams()

#### getClient

    CompositeData getClient()

#### getHost

    String getHost()

#### getRemoteAddress

    String getRemoteAddress()

#### getRemoteAddresses

    List<String> getRemoteAddresses()

#### getRemotePort

    int getRemotePort()

#### getPath

    String getPath()

#### getSessionId

    String getSessionId()

#### getReadBytes

    long getReadBytes()

#### getWrittenBytes

    long getWrittenBytes()

#### getReadMessages

    long getReadMessages()

#### getWrittenMessages

    long getWrittenMessages()

#### getDroppedMessages

    long getDroppedMessages()

#### getPendingMessages

    long getPendingMessages()

#### ping

    void ping()

#### getLastPingTime

    int getLastPingTime()

#### getScope

    CompositeData getScope()

#### getBasicScopes

    Iterator<CompositeData> getBasicScopes()